"use client";
import i from "../noop.js";
function o(t) {
  this._context = t;
}
o.prototype = {
  areaStart: i,
  areaEnd: i,
  lineStart: function() {
    this._point = 0;
  },
  lineEnd: function() {
    this._point && this._context.closePath();
  },
  point: function(t, n) {
    t = +t, n = +n, this._point ? this._context.lineTo(t, n) : (this._point = 1, this._context.moveTo(t, n));
  }
};
function s(t) {
  return new o(t);
}
export {
  s as default
};
